[artix-build-failures] [gremlins] Failure: kcontacts

jenkins at artixlinux.org jenkins at artixlinux.org
Sat Nov 14 13:16:07 CET 2020


   Failure

   Build: x86_64/testing

   Packages:

   kcontacts-1:5.76.0-1-x86_64.pkg.tar.zst

   author: alium

   email: alium at artixlinux.org

   [1]https://orion.artixlinux.org/job/packagesK/job/kcontacts/job/master/
   3/

References

   1. https://orion.artixlinux.org/job/packagesK/job/kcontacts/job/master/3/
-------------- next part --------------
Started by user alium
Restarted from build #2, stage Prepare
Querying the current revision of branch master...
Current revision of branch master is 6d974779f81644b80932fa5cd7f14e26bd7bd100
Obtained Jenkinsfile from 6d974779f81644b80932fa5cd7f14e26bd7bd100
Running in Durability level: PERFORMANCE_OPTIMIZED
[Pipeline] Start of Pipeline
[Pipeline] node
Running on Jenkins in /var/lib/jenkins/workspace/packagesK_kcontacts_master
[Pipeline] {
[Pipeline] timestamps
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Prepare)
[Pipeline] catchError
[Pipeline] {
[Pipeline] checkout
[2020-11-14T12:15:39.663Z] The recommended git tool is: NONE
[2020-11-14T12:15:39.663Z] Warning: CredentialId "jenkins-gotea-token" could not be found.
[2020-11-14T12:15:39.664Z]  > git rev-parse --is-inside-work-tree # timeout=10
[2020-11-14T12:15:39.668Z] Fetching changes from the remote Git repository
[2020-11-14T12:15:39.668Z]  > git config remote.origin.url https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesK/kcontacts.git # timeout=10
[2020-11-14T12:15:39.673Z] Cleaning workspace
[2020-11-14T12:15:39.673Z]  > git rev-parse --verify HEAD # timeout=10
[2020-11-14T12:15:39.678Z] Resetting working tree
[2020-11-14T12:15:39.678Z]  > git reset --hard # timeout=10
[2020-11-14T12:15:39.684Z]  > git clean -fdx # timeout=10
[2020-11-14T12:15:39.689Z] Fetching without tags
[2020-11-14T12:15:39.689Z] Fetching upstream changes from https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesK/kcontacts.git
[2020-11-14T12:15:39.689Z]  > git --version # timeout=10
[2020-11-14T12:15:39.693Z]  > git --version # 'git version 2.27.0'
[2020-11-14T12:15:39.693Z]  > git fetch --no-tags --force --progress -- https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesK/kcontacts.git +refs/heads/master:refs/remotes/origin/master # timeout=10
[2020-11-14T12:15:39.791Z] Checking out Revision 6d974779f81644b80932fa5cd7f14e26bd7bd100 (master)
[2020-11-14T12:15:39.791Z]  > git config core.sparsecheckout # timeout=10
[2020-11-14T12:15:39.796Z]  > git checkout -f 6d974779f81644b80932fa5cd7f14e26bd7bd100 # timeout=10
[2020-11-14T12:15:39.802Z] Commit message: "[trunk] -> [testing] 'kcontacts-1:5.76.0-1' add"
[2020-11-14T12:15:39.803Z]  > git rev-list --no-walk 6d974779f81644b80932fa5cd7f14e26bd7bd100 # timeout=10
[2020-11-14T12:15:39.813Z] Cleaning workspace
[2020-11-14T12:15:39.813Z]  > git rev-parse --verify HEAD # timeout=10
[2020-11-14T12:15:39.817Z] Resetting working tree
[2020-11-14T12:15:39.817Z]  > git reset --hard # timeout=10
[2020-11-14T12:15:39.823Z]  > git clean -fdx # timeout=10
[2020-11-14T12:15:39.829Z] [Gitea] Notifying branch build status: PENDING Build started...
[2020-11-14T12:15:39.949Z] [Gitea] Notified
[Pipeline] libraryResource
[Pipeline] readYaml
[Pipeline] sh
[2020-11-14T12:15:40.262Z] + git show -s --format=%an 6d974779f81644b80932fa5cd7f14e26bd7bd100
[Pipeline] sh
[2020-11-14T12:15:40.535Z] + git show -s --format=%ae 6d974779f81644b80932fa5cd7f14e26bd7bd100
[Pipeline] sh
[2020-11-14T12:15:40.809Z] + git show --pretty=format: --name-status 6d974779f81644b80932fa5cd7f14e26bd7bd100
[Pipeline] fileExists
[Pipeline] sh
[2020-11-14T12:15:41.114Z] + pkg2yaml -d x86_64/testing
[Pipeline] readYaml
[Pipeline] }
[Pipeline] // catchError
[Pipeline] }
[Pipeline] // stage
[Pipeline] stage
[Pipeline] { (Build)
[Pipeline] withCredentials
[2020-11-14T12:15:41.428Z] Masking supported pattern matches of $BUILDBOT_GPGP
[Pipeline] {
[Pipeline] echo
[2020-11-14T12:15:41.475Z] isLibBump: false
[Pipeline] dir
[2020-11-14T12:15:41.494Z] Running in /var/lib/jenkins/workspace/packagesK_kcontacts_master/x86_64/testing
[Pipeline] {
[Pipeline] catchError
[Pipeline] {
[Pipeline] sh
[2020-11-14T12:15:41.812Z] + buildpkg -C -d gremlins
[2020-11-14T12:15:45.040Z] :: Synchronizing package databases...
[2020-11-14T12:15:45.040Z]  gremlins is up to date
[2020-11-14T12:15:45.040Z]  system is up to date
[2020-11-14T12:15:45.040Z]  world is up to date
[2020-11-14T12:15:45.040Z]  galaxy-gremlins is up to date
[2020-11-14T12:15:45.040Z]  galaxy is up to date
[2020-11-14T12:15:45.040Z]  extra is up to date
[2020-11-14T12:15:45.040Z]  community-testing is up to date
[2020-11-14T12:15:45.040Z]  community is up to date
[2020-11-14T12:15:45.040Z] :: Starting full system upgrade...
[2020-11-14T12:15:45.291Z]  there is nothing to do
[2020-11-14T12:15:46.201Z] ==> Building in chroot for [gremlins] (x86_64)...
[2020-11-14T12:15:47.112Z] ==> Synchronizing chroot copy [/build/buildpkg/gremlins-x86_64/root] -> [jenkins]...done
[2020-11-14T12:15:48.455Z] ==> Making package: kcontacts 1:5.76.0-1 (Sat Nov 14 13:15:48 2020)
[2020-11-14T12:15:48.455Z] ==> Retrieving sources...
[2020-11-14T12:15:48.455Z]   -> Found kcontacts-5.76.0.tar.xz
[2020-11-14T12:15:48.455Z]   -> Found kcontacts-5.76.0.tar.xz.sig
[2020-11-14T12:15:48.455Z] ==> Validating source files with sha256sums...
[2020-11-14T12:15:48.455Z]     kcontacts-5.76.0.tar.xz ... Passed
[2020-11-14T12:15:48.455Z]     kcontacts-5.76.0.tar.xz.sig ... Skipped
[2020-11-14T12:15:48.455Z] ==> Verifying source file signatures with gpg...
[2020-11-14T12:15:48.455Z]     kcontacts-5.76.0.tar.xz ... Passed
[2020-11-14T12:15:53.649Z] ==> Making package: kcontacts 1:5.76.0-1 (Sat 14 Nov 2020 12:15:53 PM UTC)
[2020-11-14T12:15:53.649Z] ==> Checking runtime dependencies...
[2020-11-14T12:15:53.649Z] ==> Installing missing dependencies...
[2020-11-14T12:15:53.649Z] resolving dependencies...
[2020-11-14T12:15:53.649Z] :: There are 2 providers available for libgl:
[2020-11-14T12:15:53.649Z] :: Repository world
[2020-11-14T12:15:53.649Z]    1) libglvnd
[2020-11-14T12:15:53.649Z] :: Repository extra
[2020-11-14T12:15:53.649Z]    2) libglvnd
[2020-11-14T12:15:53.649Z] 
[2020-11-14T12:15:53.900Z] Enter a number (default=1): 
[2020-11-14T12:15:53.900Z] :: There are 2 providers available for libfreetype.so=6-64:
[2020-11-14T12:15:53.900Z] :: Repository world
[2020-11-14T12:15:53.900Z]    1) freetype2
[2020-11-14T12:15:53.900Z] :: Repository extra
[2020-11-14T12:15:53.900Z]    2) freetype2
[2020-11-14T12:15:53.900Z] 
[2020-11-14T12:15:53.900Z] Enter a number (default=1): 
[2020-11-14T12:15:53.900Z] looking for conflicting packages...
[2020-11-14T12:15:53.900Z] warning: dependency cycle detected:
[2020-11-14T12:15:53.900Z] warning: mesa will be installed before its libglvnd dependency
[2020-11-14T12:15:53.900Z] warning: dependency cycle detected:
[2020-11-14T12:15:53.900Z] warning: harfbuzz will be installed before its freetype2 dependency
[2020-11-14T12:15:53.900Z] 
[2020-11-14T12:15:53.900Z] Package (73)               New Version              Net Change
[2020-11-14T12:15:53.900Z] 
[2020-11-14T12:15:53.900Z] world/avahi                0.8+15+ge8a3dd0-1          1.83 MiB
[2020-11-14T12:15:53.900Z] system/dbus                1.12.20-1                  0.95 MiB
[2020-11-14T12:15:53.900Z] world/double-conversion    3.1.5-2                    0.16 MiB
[2020-11-14T12:15:53.900Z] system/eudev               3.2.9-5                    7.57 MiB
[2020-11-14T12:15:53.900Z] world/fontconfig           2:2.13.91+48+gfcb0420-2    0.61 MiB
[2020-11-14T12:15:53.900Z] world/freetype2            2.10.4-1                   1.58 MiB
[2020-11-14T12:15:53.900Z] world/graphite             1:1.3.14-1                 0.67 MiB
[2020-11-14T12:15:53.900Z] world/harfbuzz             2.7.2-1                    4.32 MiB
[2020-11-14T12:15:53.900Z] system/hwids               20200813.1-1               1.90 MiB
[2020-11-14T12:15:53.900Z] system/kbd                 2.3.0-2                    2.81 MiB
[2020-11-14T12:15:53.900Z] system/kmod                27-2                       0.28 MiB
[2020-11-14T12:15:53.900Z] world/libcups              2.3.3-3                    0.84 MiB
[2020-11-14T12:15:53.900Z] world/libdaemon            0.14-5                     0.06 MiB
[2020-11-14T12:15:53.900Z] world/libdrm               2.4.103-1                  0.93 MiB
[2020-11-14T12:15:53.900Z] system/libedit             20191231_3.1-2             0.26 MiB
[2020-11-14T12:15:53.900Z] system/libelogind          243.7-4                    0.54 MiB
[2020-11-14T12:15:53.900Z] world/libevdev             1.10.0-1                   0.25 MiB
[2020-11-14T12:15:53.900Z] world/libglvnd             1.3.2-1                    3.68 MiB
[2020-11-14T12:15:53.900Z] world/libgudev             234-1                      0.39 MiB
[2020-11-14T12:15:53.900Z] world/libice               1.0.10-3                   0.35 MiB
[2020-11-14T12:15:53.900Z] world/libinput             1.16.3-1                   0.95 MiB
[2020-11-14T12:15:53.900Z] world/libjpeg-turbo        2.0.5-3                    2.10 MiB
[2020-11-14T12:15:53.900Z] world/libomxil-bellagio    0.9.3-3                    0.58 MiB
[2020-11-14T12:15:53.900Z] world/libpciaccess         0.16-2                     0.06 MiB
[2020-11-14T12:15:53.900Z] world/libpng               1.6.37-3                   0.55 MiB
[2020-11-14T12:15:53.900Z] world/libproxy             0.4.15+33+g454a499-2.2     0.26 MiB
[2020-11-14T12:15:53.900Z] world/libsm                1.2.3-2                    0.26 MiB
[2020-11-14T12:15:53.900Z] world/libtiff              4.1.0-2                    2.73 MiB
[2020-11-14T12:15:53.900Z] world/libunwind            1.3.1-2                    0.26 MiB
[2020-11-14T12:15:53.900Z] system/libusb              1.0.23-3                   0.19 MiB
[2020-11-14T12:15:53.900Z] world/libwacom             1.6-1                      0.56 MiB
[2020-11-14T12:15:53.900Z] world/libx11               1.6.12-1                  10.16 MiB
[2020-11-14T12:15:53.900Z] world/libxau               1.0.9-3                    0.02 MiB
[2020-11-14T12:15:53.900Z] world/libxcb               1.14-1                     3.73 MiB
[2020-11-14T12:15:53.900Z] world/libxdamage           1.1.5-3                    0.02 MiB
[2020-11-14T12:15:53.900Z] world/libxdmcp             1.1.3-3                    0.13 MiB
[2020-11-14T12:15:53.900Z] world/libxext              1.3.4-3                    0.30 MiB
[2020-11-14T12:15:53.900Z] world/libxfixes            5.0.3-4                    0.04 MiB
[2020-11-14T12:15:53.900Z] world/libxi                1.7.10-3                   0.47 MiB
[2020-11-14T12:15:53.900Z] world/libxkbcommon         1.0.1-1                    0.72 MiB
[2020-11-14T12:15:53.900Z] world/libxkbcommon-x11     1.0.1-1                    0.07 MiB
[2020-11-14T12:15:53.900Z] world/libxmu               1.1.3-2                    0.33 MiB
[2020-11-14T12:15:53.901Z] world/libxrender           0.9.10-4                   0.08 MiB
[2020-11-14T12:15:53.901Z] world/libxshmfence         1.3-2                      0.02 MiB
[2020-11-14T12:15:53.901Z] world/libxt                1.2.0-2                    2.03 MiB
[2020-11-14T12:15:53.901Z] world/libxxf86vm           1.1.4-4                    0.03 MiB
[2020-11-14T12:15:53.901Z] world/llvm-libs            11.0.0-1                  90.12 MiB
[2020-11-14T12:15:53.901Z] world/lm_sensors           3.6.0-2                    0.47 MiB
[2020-11-14T12:15:53.901Z] world/md4c                 0.4.6-1                    0.24 MiB
[2020-11-14T12:15:53.901Z] world/mesa                 20.2.2-2                  86.41 MiB
[2020-11-14T12:15:53.901Z] world/mtdev                1.1.6-1                    0.05 MiB
[2020-11-14T12:15:53.901Z] world/qt5-base             5.15.1-3                  64.52 MiB
[2020-11-14T12:15:53.901Z] world/qt5-declarative      5.15.1-1                  24.76 MiB
[2020-11-14T12:15:53.901Z] world/shared-mime-info     2.0+1+g6bf9e4f-2           4.32 MiB
[2020-11-14T12:15:53.901Z] world/tslib                1.22-1                     0.47 MiB
[2020-11-14T12:15:53.901Z] world/vulkan-icd-loader    1.2.158-1                  0.38 MiB
[2020-11-14T12:15:53.901Z] world/wayland              1.18.0-2                   0.73 MiB
[2020-11-14T12:15:53.901Z] world/xcb-proto            1.14.1-1                   0.83 MiB
[2020-11-14T12:15:53.901Z] world/xcb-util             0.4.0-3                    0.04 MiB
[2020-11-14T12:15:53.901Z] world/xcb-util-image       0.4.0-3                    0.05 MiB
[2020-11-14T12:15:53.901Z] world/xcb-util-keysyms     0.4.0-3                    0.03 MiB
[2020-11-14T12:15:53.901Z] world/xcb-util-renderutil  0.3.9-3                    0.04 MiB
[2020-11-14T12:15:53.901Z] world/xcb-util-wm          0.4.1-3                    0.22 MiB
[2020-11-14T12:15:53.901Z] world/xdg-utils            1.1.3+19+g9816ebb-1        0.28 MiB
[2020-11-14T12:15:53.901Z] world/xkeyboard-config     2.31-1                     5.46 MiB
[2020-11-14T12:15:53.901Z] world/xorg-xprop           1.2.4-2                    0.05 MiB
[2020-11-14T12:15:53.901Z] world/xorg-xset            1.2.4-2                    0.04 MiB
[2020-11-14T12:15:53.901Z] world/xorgproto            2020.1-1                   1.40 MiB
[2020-11-14T12:15:53.901Z] world/iso-codes            4.5.0-1                   18.26 MiB
[2020-11-14T12:15:53.901Z] gremlins/kcodecs           5.75.0-3                   0.99 MiB
[2020-11-14T12:15:53.901Z] gremlins/kconfig           5.75.0-3                   3.14 MiB
[2020-11-14T12:15:53.901Z] gremlins/kcoreaddons       5.75.0-3                   3.68 MiB
[2020-11-14T12:15:53.901Z] gremlins/ki18n             5.75.0-3                  16.45 MiB
[2020-11-14T12:15:53.901Z] 
[2020-11-14T12:15:53.901Z] Total Installed Size:  380.05 MiB
[2020-11-14T12:15:53.901Z] 
[2020-11-14T12:15:53.901Z] :: Proceed with installation? [Y/n] 
[2020-11-14T12:15:53.901Z] checking keyring...
[2020-11-14T12:15:53.901Z] checking package integrity...
[2020-11-14T12:15:58.023Z] loading package files...
[2020-11-14T12:15:58.023Z] checking for file conflicts...
[2020-11-14T12:15:58.023Z] checking available disk space...
[2020-11-14T12:15:58.023Z] :: Processing package changes...
[2020-11-14T12:15:58.023Z] installing libjpeg-turbo...
[2020-11-14T12:15:58.023Z] Optional dependencies for libjpeg-turbo
[2020-11-14T12:15:58.023Z]     java-runtime>11: for TurboJPEG Java wrapper
[2020-11-14T12:15:58.023Z] installing xcb-proto...
[2020-11-14T12:15:58.023Z] installing libxdmcp...
[2020-11-14T12:15:58.023Z] installing libxau...
[2020-11-14T12:15:58.023Z] installing libxcb...
[2020-11-14T12:15:58.273Z] installing xcb-util-keysyms...
[2020-11-14T12:15:58.273Z] installing xcb-util-renderutil...
[2020-11-14T12:15:58.273Z] installing xorgproto...
[2020-11-14T12:15:58.273Z] installing libx11...
[2020-11-14T12:15:58.523Z] installing libxext...
[2020-11-14T12:15:58.523Z] installing libpciaccess...
[2020-11-14T12:15:58.523Z] installing libdrm...
[2020-11-14T12:15:58.523Z] installing wayland...
[2020-11-14T12:15:58.523Z] installing libxxf86vm...
[2020-11-14T12:15:58.523Z] installing libxfixes...
[2020-11-14T12:15:58.523Z] installing libxdamage...
[2020-11-14T12:15:58.523Z] installing libxshmfence...
[2020-11-14T12:15:58.523Z] installing libomxil-bellagio...
[2020-11-14T12:15:58.523Z] installing libunwind...
[2020-11-14T12:15:58.523Z] installing libedit...
[2020-11-14T12:15:58.523Z] installing llvm-libs...
[2020-11-14T12:15:58.774Z] installing lm_sensors...
[2020-11-14T12:15:58.774Z] Optional dependencies for lm_sensors
[2020-11-14T12:15:58.774Z]     rrdtool: for logging with sensord
[2020-11-14T12:15:58.774Z] installing vulkan-icd-loader...
[2020-11-14T12:15:58.774Z] Optional dependencies for vulkan-icd-loader
[2020-11-14T12:15:58.774Z]     vulkan-driver: packaged vulkan driver
[2020-11-14T12:15:58.774Z] installing mesa...
[2020-11-14T12:15:59.024Z] Optional dependencies for mesa
[2020-11-14T12:15:59.024Z]     opengl-man-pages: for the OpenGL API man pages
[2020-11-14T12:15:59.024Z]     mesa-vdpau: for accelerated video playback
[2020-11-14T12:15:59.024Z]     libva-mesa-driver: for accelerated video playback
[2020-11-14T12:15:59.024Z] installing libglvnd...
[2020-11-14T12:15:59.024Z] installing libpng...
[2020-11-14T12:15:59.024Z] installing graphite...
[2020-11-14T12:15:59.024Z] installing harfbuzz...
[2020-11-14T12:15:59.024Z] Optional dependencies for harfbuzz
[2020-11-14T12:15:59.024Z]     cairo: hb-view program
[2020-11-14T12:15:59.024Z] installing freetype2...
[2020-11-14T12:15:59.024Z] installing fontconfig...
[2020-11-14T12:15:59.024Z] Rebuilding fontconfig cache... done.
[2020-11-14T12:15:59.024Z] installing libice...
[2020-11-14T12:15:59.024Z] installing libsm...
[2020-11-14T12:15:59.024Z] installing libxt...
[2020-11-14T12:15:59.275Z] installing libxmu...
[2020-11-14T12:15:59.275Z] installing xorg-xset...
[2020-11-14T12:15:59.275Z] installing xorg-xprop...
[2020-11-14T12:15:59.275Z] installing xdg-utils...
[2020-11-14T12:15:59.275Z] Optional dependencies for xdg-utils
[2020-11-14T12:15:59.275Z]     kde-cli-tools: for KDE Plasma5 support in xdg-open
[2020-11-14T12:15:59.275Z]     exo: for Xfce support in xdg-open
[2020-11-14T12:15:59.275Z]     pcmanfm: for LXDE support in xdg-open
[2020-11-14T12:15:59.275Z]     perl-file-mimeinfo: for generic support in xdg-open
[2020-11-14T12:15:59.275Z]     perl-net-dbus: Perl extension to dbus used in xdg-screensaver
[2020-11-14T12:15:59.275Z]     perl-x11-protocol: Perl X11 protocol used in xdg-screensaver
[2020-11-14T12:15:59.275Z] installing shared-mime-info...
[2020-11-14T12:15:59.275Z] installing xcb-util-wm...
[2020-11-14T12:15:59.275Z] installing libxrender...
[2020-11-14T12:15:59.275Z] installing libxi...
[2020-11-14T12:15:59.275Z] installing xcb-util...
[2020-11-14T12:15:59.275Z] installing xcb-util-image...
[2020-11-14T12:15:59.275Z] installing tslib...
[2020-11-14T12:15:59.275Z] installing mtdev...
[2020-11-14T12:15:59.275Z] installing kbd...
[2020-11-14T12:15:59.275Z] installing kmod...
[2020-11-14T12:15:59.275Z] installing hwids...
[2020-11-14T12:15:59.275Z] installing eudev...
[2020-11-14T12:15:59.275Z] installing libevdev...
[2020-11-14T12:15:59.275Z] installing libgudev...
[2020-11-14T12:15:59.275Z] installing libwacom...
[2020-11-14T12:15:59.275Z] installing libinput...
[2020-11-14T12:15:59.275Z] Optional dependencies for libinput
[2020-11-14T12:15:59.275Z]     gtk3: libinput debug-gui
[2020-11-14T12:15:59.275Z]     python-pyudev: libinput measure
[2020-11-14T12:15:59.275Z]     python-libevdev: libinput measure
[2020-11-14T12:15:59.275Z] installing xkeyboard-config...
[2020-11-14T12:15:59.275Z] installing libxkbcommon...
[2020-11-14T12:15:59.275Z] Optional dependencies for libxkbcommon
[2020-11-14T12:15:59.275Z]     libxkbcommon-x11: xkbcli interactive-x11 [pending]
[2020-11-14T12:15:59.275Z]     wayland: xkbcli interactive-wayland [installed]
[2020-11-14T12:15:59.275Z] installing libxkbcommon-x11...
[2020-11-14T12:15:59.275Z] installing libelogind...
[2020-11-14T12:15:59.275Z] installing dbus...
[2020-11-14T12:15:59.275Z] installing libproxy...
[2020-11-14T12:15:59.275Z] Optional dependencies for libproxy
[2020-11-14T12:15:59.275Z]     networkmanager: NetworkManager configuration module
[2020-11-14T12:15:59.275Z]     perl: Perl bindings [installed]
[2020-11-14T12:15:59.275Z]     python2: Python 2.x bindings
[2020-11-14T12:15:59.275Z]     python: Python 3.x bindings
[2020-11-14T12:15:59.275Z]     libproxy-mozjs: PAC proxy support (via MozJS)
[2020-11-14T12:15:59.275Z]     libproxy-webkit: PAC proxy support (via WebKit)
[2020-11-14T12:15:59.275Z] installing libtiff...
[2020-11-14T12:15:59.275Z] Optional dependencies for libtiff
[2020-11-14T12:15:59.275Z]     freeglut: for using tiffgt
[2020-11-14T12:15:59.275Z] installing libdaemon...
[2020-11-14T12:15:59.275Z] installing avahi...
[2020-11-14T12:15:59.526Z] Optional dependencies for avahi
[2020-11-14T12:15:59.526Z]     gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc
[2020-11-14T12:15:59.526Z]     qt5-base: qt5 bindings [pending]
[2020-11-14T12:15:59.526Z]     libevent: libevent bindings
[2020-11-14T12:15:59.526Z]     nss-mdns: NSS support for mDNS
[2020-11-14T12:15:59.526Z]     python-twisted: avahi-bookmarks
[2020-11-14T12:15:59.526Z]     python-gobject: avahi-bookmarks, avahi-discover
[2020-11-14T12:15:59.526Z]     python-dbus: avahi-bookmarks, avahi-discover
[2020-11-14T12:15:59.526Z] installing libusb...
[2020-11-14T12:15:59.526Z] installing libcups...
[2020-11-14T12:15:59.526Z] installing double-conversion...
[2020-11-14T12:15:59.526Z] installing md4c...
[2020-11-14T12:15:59.526Z] installing qt5-base...
[2020-11-14T12:15:59.776Z] Optional dependencies for qt5-base
[2020-11-14T12:15:59.776Z]     qt5-svg: to use SVG icon themes
[2020-11-14T12:15:59.776Z]     qt5-wayland: to run Qt applications in a Wayland session
[2020-11-14T12:15:59.776Z]     qt5-translations: for some native UI translations
[2020-11-14T12:15:59.776Z]     postgresql-libs: PostgreSQL driver
[2020-11-14T12:15:59.776Z]     mariadb-libs: MariaDB driver
[2020-11-14T12:15:59.776Z]     unixodbc: ODBC driver
[2020-11-14T12:15:59.776Z]     libfbclient: Firebird/iBase driver
[2020-11-14T12:15:59.776Z]     freetds: MS SQL driver
[2020-11-14T12:15:59.776Z]     gtk3: GTK platform plugin
[2020-11-14T12:15:59.776Z]     perl: for fixqt4headers and syncqt [installed]
[2020-11-14T12:15:59.776Z] installing kcoreaddons...
[2020-11-14T12:15:59.776Z] Optional dependencies for kcoreaddons
[2020-11-14T12:15:59.776Z]     python-pyqt5: for the Python bindings
[2020-11-14T12:15:59.776Z] installing kconfig...
[2020-11-14T12:15:59.776Z] Optional dependencies for kconfig
[2020-11-14T12:15:59.776Z]     python-pyqt5: for the Python bindings
[2020-11-14T12:15:59.776Z] installing qt5-declarative...
[2020-11-14T12:16:00.027Z] installing ki18n...
[2020-11-14T12:16:00.027Z] Optional dependencies for ki18n
[2020-11-14T12:16:00.027Z]     python-pyqt5: for the Python bindings
[2020-11-14T12:16:00.027Z]     python: to compile .ts files
[2020-11-14T12:16:00.027Z] installing kcodecs...
[2020-11-14T12:16:00.027Z] Optional dependencies for kcodecs
[2020-11-14T12:16:00.027Z]     python-pyqt5: for the Python bindings
[2020-11-14T12:16:00.027Z] installing iso-codes...
[2020-11-14T12:16:00.277Z] :: Running post-transaction hooks...
[2020-11-14T12:16:00.277Z] (1/5) Creating system user accounts...
[2020-11-14T12:16:00.277Z] Creating group avahi with gid 983.
[2020-11-14T12:16:00.277Z] Creating user avahi (Avahi mDNS/DNS-SD daemon) with uid 983 and gid 983.
[2020-11-14T12:16:00.277Z] Creating group dbus with gid 81.
[2020-11-14T12:16:00.277Z] Creating user dbus (System Message Bus) with uid 81 and gid 81.
[2020-11-14T12:16:00.277Z] (2/5) Updating udev Hardware Database...
[2020-11-14T12:16:00.528Z] (3/5) Reloading device manager configuration...
[2020-11-14T12:16:00.528Z]   Skipped: Device manager is not running.
[2020-11-14T12:16:00.528Z] (4/5) Warn about old perl modules
[2020-11-14T12:16:00.528Z] (5/5) Updating the MIME type database...
[2020-11-14T12:16:01.078Z] ==> Checking buildtime dependencies...
[2020-11-14T12:16:01.078Z] ==> Installing missing dependencies...
[2020-11-14T12:16:01.329Z] resolving dependencies...
[2020-11-14T12:16:01.329Z] looking for conflicting packages...
[2020-11-14T12:16:01.329Z] 
[2020-11-14T12:16:01.329Z] Package (10)                  New Version  Net Change
[2020-11-14T12:16:01.329Z] 
[2020-11-14T12:16:01.329Z] world/cmake                   3.18.4-1      43.13 MiB
[2020-11-14T12:16:01.329Z] world/hicolor-icon-theme      0.17-2         0.05 MiB
[2020-11-14T12:16:01.329Z] world/jsoncpp                 1.9.4-1        1.76 MiB
[2020-11-14T12:16:01.329Z] system/libnsl                 1.3.0-1        0.19 MiB
[2020-11-14T12:16:01.329Z] world/libuv                   1.40.0-1       0.53 MiB
[2020-11-14T12:16:01.329Z] world/rhash                   1.4.0-1        0.29 MiB
[2020-11-14T12:16:01.329Z] world/doxygen                 1.8.20-1      16.54 MiB
[2020-11-14T12:16:01.329Z] gremlins/extra-cmake-modules  5.76.0-1       0.80 MiB
[2020-11-14T12:16:01.329Z] world/qt5-doc                 5.15.1-1     449.99 MiB
[2020-11-14T12:16:01.329Z] world/qt5-tools               5.15.1-2      16.26 MiB
[2020-11-14T12:16:01.329Z] 
[2020-11-14T12:16:01.329Z] Total Installed Size:  529.56 MiB
[2020-11-14T12:16:01.329Z] 
[2020-11-14T12:16:01.329Z] :: Proceed with installation? [Y/n] 
[2020-11-14T12:16:01.329Z] checking keyring...
[2020-11-14T12:16:01.329Z] checking package integrity...
[2020-11-14T12:16:03.190Z] loading package files...
[2020-11-14T12:16:03.190Z] checking for file conflicts...
[2020-11-14T12:16:03.190Z] checking available disk space...
[2020-11-14T12:16:03.190Z] :: Processing package changes...
[2020-11-14T12:16:03.190Z] installing jsoncpp...
[2020-11-14T12:16:03.190Z] Optional dependencies for jsoncpp
[2020-11-14T12:16:03.190Z]     jsoncpp-doc: documentation
[2020-11-14T12:16:03.190Z] installing libnsl...
[2020-11-14T12:16:03.190Z] installing libuv...
[2020-11-14T12:16:03.190Z] installing rhash...
[2020-11-14T12:16:03.190Z] installing cmake...
[2020-11-14T12:16:03.440Z] Optional dependencies for cmake
[2020-11-14T12:16:03.440Z]     qt5-base: cmake-gui [installed]
[2020-11-14T12:16:03.440Z] installing extra-cmake-modules...
[2020-11-14T12:16:03.440Z] installing doxygen...
[2020-11-14T12:16:03.691Z] Optional dependencies for doxygen
[2020-11-14T12:16:03.691Z]     graphviz: for caller/callee graph generation
[2020-11-14T12:16:03.691Z]     qt5-base: for doxywizard [installed]
[2020-11-14T12:16:03.691Z] installing hicolor-icon-theme...
[2020-11-14T12:16:03.691Z] installing qt5-tools...
[2020-11-14T12:16:03.691Z] Optional dependencies for qt5-tools
[2020-11-14T12:16:03.691Z]     clang: for qdoc
[2020-11-14T12:16:03.691Z]     qt5-webkit: for Qt Assistant
[2020-11-14T12:16:03.691Z] installing qt5-doc...
[2020-11-14T12:16:05.034Z] :: Running post-transaction hooks...
[2020-11-14T12:16:05.034Z] (1/1) Updating the MIME type database...
[2020-11-14T12:16:05.584Z] ==> Retrieving sources...
[2020-11-14T12:16:05.584Z]   -> Found kcontacts-5.76.0.tar.xz
[2020-11-14T12:16:05.584Z]   -> Found kcontacts-5.76.0.tar.xz.sig
[2020-11-14T12:16:05.584Z] ==> WARNING: Skipping all source file integrity checks.
[2020-11-14T12:16:05.584Z] ==> Extracting sources...
[2020-11-14T12:16:05.584Z]   -> Extracting kcontacts-5.76.0.tar.xz with bsdtar
[2020-11-14T12:16:05.835Z] ==> Starting build()...
[2020-11-14T12:16:05.835Z] -- The C compiler identification is GNU 10.2.0
[2020-11-14T12:16:06.085Z] -- The CXX compiler identification is GNU 10.2.0
[2020-11-14T12:16:06.085Z] -- Detecting C compiler ABI info
[2020-11-14T12:16:06.085Z] -- Detecting C compiler ABI info - done
[2020-11-14T12:16:06.085Z] -- Check for working C compiler: /usr/bin/cc - skipped
[2020-11-14T12:16:06.085Z] -- Detecting C compile features
[2020-11-14T12:16:06.085Z] -- Detecting C compile features - done
[2020-11-14T12:16:06.085Z] -- Detecting CXX compiler ABI info
[2020-11-14T12:16:06.335Z] -- Detecting CXX compiler ABI info - done
[2020-11-14T12:16:06.335Z] -- Check for working CXX compiler: /usr/bin/c++ - skipped
[2020-11-14T12:16:06.335Z] -- Detecting CXX compile features
[2020-11-14T12:16:06.335Z] -- Detecting CXX compile features - done
[2020-11-14T12:16:06.335Z] -- 
[2020-11-14T12:16:06.335Z] 
[2020-11-14T12:16:06.335Z] -- Installing in the same prefix as Qt, adopting their path scheme.
[2020-11-14T12:16:06.335Z] -- Looking for __GLIBC__
[2020-11-14T12:16:06.586Z] -- Looking for __GLIBC__ - found
[2020-11-14T12:16:06.586Z] -- Performing Test _OFFT_IS_64BIT
[2020-11-14T12:16:06.586Z] -- Performing Test _OFFT_IS_64BIT - Success
[2020-11-14T12:16:06.586Z] -- Performing Test HAVE_DATE_TIME
[2020-11-14T12:16:06.836Z] -- Performing Test HAVE_DATE_TIME - Success
[2020-11-14T12:16:06.836Z] CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:53 (find_package):
[2020-11-14T12:16:06.836Z]   Could not find a configuration file for package "KF5CoreAddons" that is
[2020-11-14T12:16:06.836Z]   compatible with requested version "5.76.0".
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z]   The following configuration files were considered but not accepted:
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z]     /usr/lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z]     /usr/lib/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z]     /lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z]     /lib/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z] Call Stack (most recent call first):
[2020-11-14T12:16:06.836Z]   CMakeLists.txt:44 (find_package)
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z] -- Could NOT find KF5CoreAddons , checked the following files:
[2020-11-14T12:16:06.836Z]     /usr/lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.836Z]     /usr/lib/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.836Z]     /lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.836Z]     /lib/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z] CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:53 (find_package):
[2020-11-14T12:16:06.836Z]   Could not find a configuration file for package "KF5I18n" that is
[2020-11-14T12:16:06.836Z]   compatible with requested version "5.76.0".
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z]   The following configuration files were considered but not accepted:
[2020-11-14T12:16:06.836Z] 
[2020-11-14T12:16:06.836Z]     /usr/lib64/cmake/KF5I18n/KF5I18nConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z]     /usr/lib/cmake/KF5I18n/KF5I18nConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.836Z]     /lib64/cmake/KF5I18n/KF5I18nConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5I18n/KF5I18nConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] Call Stack (most recent call first):
[2020-11-14T12:16:06.837Z]   CMakeLists.txt:44 (find_package)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] -- Could NOT find KF5I18n , checked the following files:
[2020-11-14T12:16:06.837Z]     /usr/lib64/cmake/KF5I18n/KF5I18nConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /usr/lib/cmake/KF5I18n/KF5I18nConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib64/cmake/KF5I18n/KF5I18nConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5I18n/KF5I18nConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:53 (find_package):
[2020-11-14T12:16:06.837Z]   Could not find a configuration file for package "KF5Config" that is
[2020-11-14T12:16:06.837Z]   compatible with requested version "5.76.0".
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z]   The following configuration files were considered but not accepted:
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z]     /usr/lib64/cmake/KF5Config/KF5ConfigConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /usr/lib/cmake/KF5Config/KF5ConfigConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /lib64/cmake/KF5Config/KF5ConfigConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5Config/KF5ConfigConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] Call Stack (most recent call first):
[2020-11-14T12:16:06.837Z]   CMakeLists.txt:44 (find_package)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] -- Could NOT find KF5Config , checked the following files:
[2020-11-14T12:16:06.837Z]     /usr/lib64/cmake/KF5Config/KF5ConfigConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /usr/lib/cmake/KF5Config/KF5ConfigConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib64/cmake/KF5Config/KF5ConfigConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5Config/KF5ConfigConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:53 (find_package):
[2020-11-14T12:16:06.837Z]   Could not find a configuration file for package "KF5Codecs" that is
[2020-11-14T12:16:06.837Z]   compatible with requested version "5.76.0".
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z]   The following configuration files were considered but not accepted:
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z]     /usr/lib64/cmake/KF5Codecs/KF5CodecsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /usr/lib/cmake/KF5Codecs/KF5CodecsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /lib64/cmake/KF5Codecs/KF5CodecsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5Codecs/KF5CodecsConfig.cmake, version: 5.75.0
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] Call Stack (most recent call first):
[2020-11-14T12:16:06.837Z]   CMakeLists.txt:44 (find_package)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] -- Could NOT find KF5Codecs , checked the following files:
[2020-11-14T12:16:06.837Z]     /usr/lib64/cmake/KF5Codecs/KF5CodecsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /usr/lib/cmake/KF5Codecs/KF5CodecsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib64/cmake/KF5Codecs/KF5CodecsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z]     /lib/cmake/KF5Codecs/KF5CodecsConfig.cmake (version 5.75.0)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] CMake Error at /usr/share/cmake-3.18/Modules/FindPackageHandleStandardArgs.cmake:165 (message):
[2020-11-14T12:16:06.837Z]   Could NOT find KF5 (missing: CoreAddons I18n Config Codecs) (Required is at
[2020-11-14T12:16:06.837Z]   least version "5.76.0")
[2020-11-14T12:16:06.837Z] Call Stack (most recent call first):
[2020-11-14T12:16:06.837Z]   /usr/share/cmake-3.18/Modules/FindPackageHandleStandardArgs.cmake:458 (_FPHSA_FAILURE_MESSAGE)
[2020-11-14T12:16:06.837Z]   /usr/share/ECM/find-modules/FindKF5.cmake:94 (find_package_handle_standard_args)
[2020-11-14T12:16:06.837Z]   CMakeLists.txt:44 (find_package)
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] 
[2020-11-14T12:16:06.837Z] -- Configuring incomplete, errors occurred!
[2020-11-14T12:16:06.837Z] See also "/build/kcontacts/src/build/CMakeFiles/CMakeOutput.log".
[2020-11-14T12:16:06.837Z] ==> ERROR: A failure occurred in build().
[2020-11-14T12:16:06.837Z]     Aborting...
[2020-11-14T12:16:07.748Z] ==> ERROR: Build failed, check /build/buildpkg/gremlins-x86_64/jenkins/build
[Pipeline] }
[2020-11-14T12:16:07.777Z] ERROR: Failed to build source
[2020-11-14T12:16:07.777Z] ERROR: script returned exit code 255
[Pipeline] // catchError
[Pipeline] }
[Pipeline] // dir
Post stage
[Pipeline] emailext
[2020-11-14T12:16:07.911Z] Sending email to: artix-build-failures at artixlinux.org


More information about the artix-build-failures mailing list